jump to navigation

Opiniones y críticas injustas sobre Jaunty Jackalope (9.04) 4 mayo, 2009

Posted by KZKG^Gaara in GNU/Linux y Free Soft, Ubuntu.
Tags: , , , , , , , , ,
trackback

Hola,
Esta vez quiero hablarles sobre las dos opciones que se tienen cuando ha sido liberada una nueva versión de Ubuntu; actualizar o no. Para aclarar más este tema quiero poner como ejemplo a la recién liberada Ubuntu Jaunty Jackalope (9.04) y la compararé con sus anteriores versiones; Ubuntu Hardy Core (8.04) y Ubuntu Intrepid Ibex (8.10). He leído quejas y más quejas sobre la actual 9.04 pero les explico más detalladamente de que va todo esto…

No es un secreto que la actual 9.04 tiene bastantes deficiencias, errores o inconsistencias en su estabilidad; no obstante es una opción a tener en cuenta y lo más importante es que presenta muchas mejoras en cuanto a las anteriores versiones de Ubuntu. El asunto es que debido a estos problemas muchos usuarios se desilusionan de la misma y culpan a Ubuntu por estos errores…. WTF!!!
Aclarar que como toda nueva distro esta presenta problemas o errores; los cuales serán corregidos dentro de no mucho y algunos de estos errores ya han sido solucionados cuando escribo esto, sin embargo siguen habiendo usuarios que se quejan de estos problemas y exigiendo una solución inmediata… chicos/as ninguna nueva distro que hace aparición es 100% estable ni está exenta de errores o problemas y esto no es ningún secreto.

Ahora entrando en materia, esta actitud de tan solo quejarse sin detenerse a pensar me parece algo injusto. Quiero empezar explicando varias cosas que no todos parecen entender o conocer cuando se habla de Ubuntu y sus versiones.

Para empezar diré que Ubuntu está basado casi en su totalidad en Debian; específicamente en los repos testing (repos de prueba) de este. Debian sin embargo solo libera (congela, etc) una versión cada un (1) año; por lo cual es sumamente estable, funcional y es extremadamente recomendada para servidores.
Ubuntu toma los paquetes (librerías, softwares, etc) que aún son inestables y los “adapta” o modifica para lograr una mejor compatibilidad con su OS; sin contar de que le agrega opciones y mejoras para que los programas sean más fáciles de manipular.

A donde quiero llegar con todo esto es que Debian realmente es más estable que Ubuntu; pero no quiero parecer como que solo reconozco Debian como distro realmente estable ya que Ubuntu es bastante estable de por sí, aunque lo que algunos no conocen es que Ubuntu tiene versiones más estables que otras; las llamadas LTS (Long Time Sopport ó Soporte a largo tiempo). Estas versiones son liberadas o hacen aparición cada 2 años y la mayor diferencia entre estas y las otras es que como bien se indica presentan o tienen soporte por más tiempo, por lo cual a lo largo del tiempo tienden a ser considerablemente más estables.
Y habiendo dicho esto les preguntaré: “¿Qué consideran más importante, tener siempre lo último o tener un OS lo más estable posible”.

Si bien las anteriores versiones de Ubuntu (8.04 y 8.10) no tienen las últimas versiones de los programas comparadas con 9.04 esto no puede ser tomado como un aspecto completamente negativo, muchas veces tener las últimas versiones es una espada de doble filo. Un ejemplo de esto puede ser la versión 2.24 de Gnome…

Inconformidades con la actual 9.04 hay muchas. Cuando veo a algún usuario molesto por problemas de una nueva versión de Ubuntu pienso “joder; si no quieres problemas entonces hubieses esperado un poco más”. Lo cierto es que las versiones 8.04 (esta LTS) y 8.10 de Ubuntu son más estables que la actual 9.04, por lo cual si no te gustan los problemas o tener que esperar por soluciones para estos errores que presenta la 9.04 pues te debiste haber quedado con alguna de estas versiones.
Nosotros como usuarios debemos antes que nada estar concientes de las razones por las cuales tenemos una PC. Si tenemos la PC solo para ver videos y navegar por internet pues no veo nada problemático en actualizar a la 9.04. Por otra parte, si usamos nuestra PC para trabajar o algo por el estilo entonces recomiendo no actualizar aún. Debemos saber qué es más importante o beneficioso para nosotros, debemos saber qué nos conviene más; si mantener nuestro OS con la mayor estabilidad posible o si la estabilidad y confiabilidad no es tan importante.

Por mi parte uso mi laptop para entretenerme viendo anime/manga pero también la uso para trabajar. Tengo en esta instalados varios servicios y la uso para el trabajo tanto en la oficina como en casa; por lo cual considero que no me es imprescindible actualizar a 9.04 aún, considero más importante que mi laptop presente la menor cantidad de errores o problemas y que todo sea lo más funcional y estable posible.

Escribo esto luego de ver como mi padre actualizaba a 9.04 en su laptop, estaba realmente furioso por algunos errores o problemas los cuales no pudimos solucionar. Además he visto ya a más de un usuario en el Canal de Ayuda y Soporte Técnico de Ubuntu en Español quejarse por problemas con la actual 9.04 (Jaunty Jackalope).

Finalizo dando una respuesta bastante directa a todas estas quejas:
Si querías estabilidad haberte quedado con la 8.04 que es la más estable hasta el momento, o haberte quedado con la 8.10 y esperar hasta que se solucionen los actuales problemas con la 9.04

Yo aún tengo Ubuntu Intrepid Ibex (8.10) y me va de mil maravillas con este, dentro de un mes pensaré seriamente si actualizar o no a Jaunty Jackalope (9.04).

Sin más me despido. Aclarar que no critico a nadie; sino más bien que esta es mi “respuesta” a todas esas quejas y críticas que en su gran mayoría considero injustas.

Saludos y pinguinos…
Nos leemos xD

Comentarios»

1. ska - 18 julio, 2009

hola tengo un problema con mi gestor sypnatic agradeceria su ayuda
me aparece este error
E: Vaya, excedió el número de descripciones que este APT es capaz de manejar.
E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid_universe_i18n_Translation-es
E: Las listas de paquetes o el archivo de estado no se pueden analizar sintácticamente o abrir.
E: _cache->open() failed, please report.

W: Duplicate sources.list entry http://security.ubuntu.com intrepid-security/main Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_intrepid-security_main_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com intrepid-security/restricted Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_intrepid-security_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com intrepid-security/universe Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_intrepid-security_universe_binary-i386_Packages)
W: Duplicate sources.list entry http://us.archive.ubuntu.com intrepid-updates/main Packages (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid-updates_main_binary-i386_Packages)
W: Duplicate sources.list entry http://us.archive.ubuntu.com intrepid-updates/main Translation-es (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid-updates_main_i18n_Translation-es)
W: Duplicate sources.list entry http://us.archive.ubuntu.com intrepid-updates/restricted Packages (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid-updates_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://us.archive.ubuntu.com intrepid-updates/restricted Translation-es (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid-updates_restricted_i18n_Translation-es)

kzkggaara - 28 julio, 2009

Disculpa por la demora en responderte pero es que no tenía internet.
Te dejo un link que creo te resolverá el problema:
http://ilmisblog.wordpress.com/2009/03/25/vaya-excedio-el-numero-de-descripciones-que-este-apt-es-capaz-de-manejar/

Bueno eso, espero tu respuesta.
Saludos y pinguinos

2. yo - 25 junio, 2009

Ubuntu 8.10 estable?, la unica distro medio estable que ha sacado ubuntu despues de la 7.10 es la 8.04, y aún así da muchos problemas, Ubuntu lo bueno que tiene es que está orientado a escritorio y está muy avanzado pero estable ninguna versión, si quieres estabilidad está claro que debian, desde la 8.10 ubuntun solo sirver para un usuario que mire el correo y navege por internet, para trabajar en condiciones hay que usar debian.

No puede ser que el nuevo driver de intel tenga el solito 317 bugs, eso es sacar las cosas sin nisiquiera probarlas y usarnos a todos de betatesters

kzkggaara - 25 junio, 2009

Yo usé mucho tiempo Intrepid (8.10) y me funcionó perfectamente. Y sobre usar Debian pues claro; es mucho más estable que Ubuntu pero siempre y cuando uses la versión stable (valga la redundancia).
Si usas testing, sid o inestable entonces tendrás un mayor número de bugs.

Arriba está explicado el por qué Ubuntu tiende a tener en los comienzos de cada nueva versión bastantes bugs y anomalías, esto se debe a que usa paquetaría testing y sid de Debian.

Saludos y pinguinos.

PD: Yo trabajo en Jaunty (9.04) actualmente, no soy un usuario que solamente vea pelis, lea correo y navegue por internet… hago bastantes cosas y administro servidores; hasta ahora no he tenido ningún problema que no haya resuelto en pocos días.

3. elavdeveloper - 6 mayo, 2009

Buen artículo chama pero déjame ofrecer mi opinión.

1: Ubuntu no usa paquetes de “Testing” en Debian, sino paquetes de Sid y posiblemente de la rama Experimental. Fíjate si es así que Ubuntu 8.10 salió con errores en el Gestor de Sesión y aún tengo entendido que no lo ha corregido. Además, también presenta problemas con los drivers de video para INtel. Pues bien, Debian por esta parte aunque a veces llega a ser desesperante, es más meticuloso, si un paquete tiene problemas, simplemente no se incluye, algo que Ubuntu, con tal de estar a la “última” no cumple.

2: No todo es malo, por ejemplo ayer instalé Xubuntu ( y hoy lo desinstalé, porque se me congeló con Ext4 2 veces ) y esta versión trae la versión estable de Xfce ( 4.6 ) y todavía en Debian estos paquetes no están completos, aún siendo estable.

¿Por qué Ubuntu sale con errores? Simplemente por el dichoso corre corre de entregar a tiempo. No es cuestión de actualizar o no, se supone que una nueva versión es para mejorar, no empeorar ¿No crees?

4. hunt3r25 - 4 mayo, 2009

Pues yo tengo probando Jaunty desde que salio pero virtualmente, me ha parecido estable y me a sorprendido la velocidad de ext4.

Y lo he estado haciendo, primero para ver la compatibilidad de los programas que uso más habitualmente y solo hubo uno con un pequeño problema, pero ya esta arreglado (puedes leerlo en mi blog).

El otro motivo es que sigo trabajando algunas cosillas en Hardy (8.04.2), pero he tenido algunos problemas con algunos programas, por ejemplo AWN ya que en ocasiones no carga bien a la primera y tengo que terminar el proceso y volverlo a ejecutar, aunque creo que también es un problema de su configuración en mi /home.

Si voy a cambiar a Jaunty, pero no haciendo una actualización, sino haciendo una instalación limpia incluyendo mi /home que ya esta respaldada, creo que esto es más recomendable que hacer un update.

Aclaro, no es defensa, solo mi opinión🙂

kzkggaara - 4 mayo, 2009

Pero es que probarlo virtualmente (usando virtualbox o vmware) no siempre es lo más adecuado. Ya que no se puede comprobar al 100% la compatibilidad con el hardware.

Y al igual que tú soy partidario de no actualizar sino que hacer un backup para evitar sorpresas, y luego formateo / e instalo la nueva versión (/ tenerlo separado de /home). Pero esto no es muy cómodo para todos jaja.
Y si tenemos en cuenta el cambio de ext3 a ext4 pues aún más recomendable🙂

Por cierto hunt3r25 parece haber algún problema con tu blog… es que cuando intento acceder me dice que no existe (http://macr0ss.wordpress.com/)

Bueno eso es todo, gracias por tu post y nos leemos xD
Saludos y pinguinos

hunt3r25 - 4 mayo, 2009

Lo del hardware yo lo se, no tengo sonido virtualmente gracias a mi SB Audigy SE😥, pero eso no me importa al momento de estar virtualmente.

Respecto a mi blog, kzkggaara, no es tan fácil de aprenderselo de memoria, así como tu nick que se me complica😛

Es m4cr0ss y no macr0ss (http://m4cr0ss.wordpress.com)

Saludos.

kzkggaara - 4 mayo, 2009

jaja na no te creas; me lo puedo aprender pero es que se me complica porque tu nick y la dirección de tu blog son diferentes jajaja. Y jeje “kzkggaara” es fácil de aprender si lo comparamos con como es mi nick en realidad -» “KZKG^Gaara”… eso de mayúsculas y minúsculas y el símbolo de en medio dicen que lo dificulta más ^-^U

Gracias por rectificarme la dirección de tu blog jaja.
Nos leemos; saludos y pinguinos


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: